# Collection::getName

(No version information available, might only be in Git)

Collection::getName — Get collection name

### Description

public mysql_xdevapi\Collection::getName ( void ) : string

Retrieve the collection's name.

### Parameters

This function has no parameters.

### Return Values

The collection name, as a string.

### Examples

Example #1 mysql_xdevapi\Collection::getName() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
$session->sql("CREATE DATABASE addressbook")->execute();
$schema = $session->getSchema("addressbook");
$collection = $schema->createCollection("people");
// ...
var_dump($collection->getName());
?>`

The above example will output something similar to:

    string(6) "people"